package com.simuwang.base.pojo.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Data;

@Data
public class FundNavDataDTO {

    /**
     * 管理人名称
     */
    @HeadFontStyle(fontHeightInPoints = 10)
    @ColumnWidth(25)
    @ExcelProperty("管理人名称")
    private String trustName;

    /**
     * 管理人备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty("管理人备案编码")
    private String trustRegisterNumber;

    /**
     * 基金ID
     */
    @ColumnWidth(15)
    @ExcelProperty("基金ID")
    private String fundId;

    /**
     * 基金名称
     */
    @ColumnWidth(25)
    @ExcelProperty("基金名称")
    private String fundName;

    /**
     * 备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty("备案编码")
    private String registerNumber;

    /**
     * 净值日期
     */
    @ColumnWidth(15)
    @ExcelProperty("净值日期")
    private String priceDate;

    /**
     * 单位净值
     */
    @ColumnWidth(15)
    @ExcelProperty("单位净值")
    private String nav;

    /**
     * 累计净值
     */
    @ColumnWidth(15)
    @ExcelProperty("累计净值")
    private String cumulativeNavWithdrawal;

    /**
     * 资产净值
     */
    @ColumnWidth(15)
    @ExcelProperty("资产净值")
    private String asset;
}
